org.apache.tapestry5.alerts

## Enum Duration

- java.lang.Object
- - java.lang.Enum<Duration>
  - - org.apache.tapestry5.alerts.Duration

- All Implemented Interfaces:
    Serializable, Comparable<Duration>

      public enum Duration
      extends Enum<Duration>

  Controls how long an `Alert` is displayed to the end user.
  Since:
    5.3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SINGLE` The default duration; displayed to the user a single time; once the page updates, the alert will not be presented to the user.
    `TRANSIENT` Transient alerts are displayed to the user, then automatically clear themselves after a few seconds.
    `UNTIL_DISMISSED` For most important alerts; the alert will continue to be presented to the user until it is dismissed by the user (either by clicking on the individual alert to dismiss it, or by clicking the UI control for dismissing all alerts).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `persistent` True if the alert type should persist between requests.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Duration` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Duration[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRANSIENT

          public static final Duration TRANSIENT

      Transient alerts are displayed to the user, then automatically clear themselves after a few seconds. Transient alerts are not stored in the `AlertStorage`.

    - #### SINGLE

          public static final Duration SINGLE

      The default duration; displayed to the user a single time; once the page updates, the alert will not be presented to the user. Single duration alerts are not stored in `AlertStorage`.

    - #### UNTIL_DISMISSED

          public static final Duration UNTIL_DISMISSED

      For most important alerts; the alert will continue to be presented to the user until it is dismissed by the user (either by clicking on the individual alert to dismiss it, or by clicking the UI control for dismissing all alerts). Such alerts are stored persistently in `AlertStorage`.

  - ### Field Detail

    - #### persistent

          public final boolean persistent

      True if the alert type should persist between requests. This is only true for `UNTIL_DISMISSED`.

  - ### Method Detail

    - #### values

          public static Duration[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Duration c : Duration.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Duration valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.